library(shiny)
 
shinyServer(function(input, output, session) {
    output$plot <- renderPlot({
        levs <- cut(UI[[input$period]], seq(0, 10, by = 2))
        color <- palette[levs]
        map("county", "iowa", col = color, fill = TRUE)
        title("Unemplotment Rates Nov-13")
        legend("bottomleft", legend = levels(levs),
               fill = palette, cex = 0.6, bty = "n")
    })
})
